Page MenuHomePhabricator

[Polly][NFC][ScopBuilder] Move finalizeAccesses and its callees to ScopBuilder
ClosedPublic

Authored by domada on Jun 25 2019, 3:00 PM.

Details

Summary

Scope of changes:

  1. Moved finalizeAccesses to ScopBuilder.
  2. Moved updateAccessDimensionality to ScopBuilder.
  3. Moved foldSizeConstantsToRight to ScopBuilder.
  4. Moved foldSizeConstantsToRight to ScopBuilder.
  5. Moved assumeNoOutOfBounds to ScopBuilder.
  6. Moved markFortranArrays to ScopBuilder.
  7. Added iterator range for AccessFunctions vector.

Diff Detail

Repository
rL LLVM

Event Timeline

domada created this revision.Jun 25 2019, 3:00 PM

Could you clarify the title to make clear that it moves more than just the finalizeAccesses method, such as "Move finalizeAccesses and its callees to ScopBuilder"?

polly/include/polly/ScopInfo.h
2284 ↗(On Diff #206534)

I think iterator functions in LLVM use underscore_naming, such as COFFObjectFile::base_relocs(). The naming for this style would be access_functions()
This hasn't been documented I think, so I won't insist on it.

polly/lib/Analysis/ScopInfo.cpp
2837 ↗(On Diff #206534)

Unrelated change?

domada updated this revision to Diff 207641.Jul 2 2019, 3:22 PM
domada retitled this revision from [Polly][NFC][ScopBuilder] Move finalizeAccesses to ScopBuilder to [Polly][NFC][ScopBuilder] Move finalizeAccesses and its callees to ScopBuilder.

Applied review remarks:

  1. Changed iterator name for AccessFunctions vector.
  2. Reverted change for Scop desctructor.
domada marked 3 inline comments as done.Jul 2 2019, 3:24 PM
domada added inline comments.
polly/lib/Analysis/ScopInfo.cpp
2837 ↗(On Diff #206534)

Yes. I have reverted it.

Meinersbur accepted this revision.Jul 8 2019, 2:17 PM

LGTM.

I think you are ready to get commit access, if you like. Could you follow https://llvm.org/docs/DeveloperPolicy.html#obtaining-commit-access? Send him some links to commits that I committed for you.
Note that there is a move to GitHub pending (end of this year, as far as I remember), which may require another procedure (SVN Username+Pwd hash do not directly translate to GitHub accounts).

You can wait until you have commit access or I can commit for you.

Sorry, I for the delay, I was on vacation.

This revision is now accepted and ready to land.Jul 8 2019, 2:17 PM
This revision was automatically updated to reflect the committed changes.
domada marked an inline comment as done and an inline comment as not done.